# GES Types

GStreamer Editing Services data types

## Function Macros

### GES_FRAME_NUMBER_IS_VALID

    #define GES_FRAME_NUMBER_IS_VALID(frames) (((GESFrameNumber) frames) != GES_FRAME_NUMBER_NONE)

Tests if a given GESFrameNumber represents a valid frame

## Constants

### GES_FRAME_NUMBER_NONE

    #define GES_FRAME_NUMBER_NONE             ((gint64) 9223372036854775807)

Constant to define an undefined frame number

### GES.FRAME_NUMBER_NONE

Constant to define an undefined frame number

### GES.FRAME_NUMBER_NONE

Constant to define an undefined frame number

### GES_TYPE_FRAME_NUMBER

    #define GES_TYPE_FRAME_NUMBER G_TYPE_UINT64

The GType of a GESFrameNumber.

## Aliases

### GESFrameNumber

    typedef gint64 GESFrameNumber

A datatype to hold a frame number.

Since : 1.18

The results of the search are